
Core - Bug # 55095

Status: Closed Priority: Should have
Author: Alexander Opitz Category: DBAL
Created: 2014-01-17 Assigned To: Morton Jonuschat
Updated: 2015-06-15 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: Replace SHOW DATABASE by query to schema
Description

In #53761 the usage of deprecated "mysql_list_dbs()" was replaced by "mysql_query('SHOW DATABASES', ...". But this isn't the best
way as it may be that the user is restricted. You should better select the information_schema as already done for "admin_get_dbs()" in
core, see #47744 for more information.

Related issues:
related to Core - Bug # 47744: Fatal error: Call to a member function fetch_o... Resolved 2013-04-30
related to Core - Bug # 53761: Deprecated function call mysql_list_dbs in dbal Resolved 2013-11-19

History
#1 - 2014-01-20 15:20 - Ingo Schmitt

The user also could be restricted that he could not query the information_schema.

#2 - 2014-01-20 16:05 - Alexander Opitz

From MySQL Manual
http://dev.mysql.com/doc/refman/5.7/en/information-schema.html

Each MySQL user has the right to access these tables, but can see only the rows in the tables that correspond to objects for which the user
has the proper access privileges.
In some cases (for example, the ROUTINE_DEFINITION column in the INFORMATION_SCHEMA.ROUTINES table), users who have
insufficient privileges will see NULL. 

So this is the way to go and we don't need two different implementations in core.

#3 - 2015-01-24 09:39 - Mathias Schreiber
- Target version set to 7.4 (Backend)

#4 - 2015-06-15 13:34 - Morton Jonuschat
- Assigned To set to Morton Jonuschat

#5 - 2015-06-15 18:25 - Morton Jonuschat
- Status changed from New to Closed
Duplicate, change already implemented in #47744
Change: https://review.typo3.org/#/c/23637/

2015-08-04 2/2

https://review.typo3.org/#/c/23637/

